<?php

namespace Lc\PietroBundle\Controller\Workshop;

use EasyCorp\Bundle\EasyAdminBundle\Config\Action;
use EasyCorp\Bundle\EasyAdminBundle\Config\Actions;
use EasyCorp\Bundle\EasyAdminBundle\Config\Crud;
use Lc\PietroBundle\Controller\AbstractAdminController;
use Lc\PietroBundle\Model\Workshop\EntryInterface;
use Lc\SovBundle\Generator\CsvGenerator;
use Lc\SovBundle\Repository\RepositoryQueryInterface;
use Symfony\Component\HttpFoundation\Request;

abstract class SolutionAdminController extends AbstractAdminController
{
    public function createEntity(string $entityFqcn)
    {
        return $this->getSolutionContainer()->getFactory()->create();
    }

    public function getRepositoryQuery(): RepositoryQueryInterface
    {
        return $this->getSolutionContainer()->getRepositoryQuery();
    }

    public function configureFields(string $pageName): iterable
    {
        return $this->getSolutionContainer()->getFieldDefinition()->getFields($pageName);
    }
}
