<?php

namespace Lc\PietroBundle\Controller\Workshop;

use Lc\PietroBundle\Controller\AbstractAdminController;
use Lc\SovBundle\Repository\RepositoryQueryInterface;

abstract class TypeAdminController extends AbstractAdminController
{
    public function createEntity(string $entityFqcn)
    {
        return $this->getTypeContainer()->getFactory()->create();
    }

    public function getRepositoryQuery(): RepositoryQueryInterface
    {
        return $this->getTypeContainer()->getRepositoryQuery();
    }

    public function configureFields(string $pageName): iterable
    {
        return $this->getTypeContainer()->getFieldDefinition()->getFields($pageName);
    }
}
