<?php

namespace Lc\PietroBundle\Definition\Field\Workshop;

use EasyCorp\Bundle\EasyAdminBundle\Field\AssociationField;
use EasyCorp\Bundle\EasyAdminBundle\Field\EmailField;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;
use Lc\SovBundle\Definition\Field\AbstractFieldDefinition;
use Lc\SovBundle\Field\BooleanField;
use Lc\SovBundle\Field\CKEditorField;
use Lc\SovBundle\Field\Filter\AssociationFilter;

class TypeFieldDefinition extends AbstractFieldDefinition
{
    public function configureIndex(): array
    {
        return [
                'image',
                'title'
        ];
    }

    public function configureForm(): array
    {
        return [
                'image',
                'title',
                'color',
                'devAlias'
        ];
    }

    public function configureFields(): array
    {
        return [
                'color' => TextField::new('color'),
        ];
    }
}